#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityKingCraftLotteryShopData
{
	//ID
	int mID;
	//抽奖次数
	int mLotteryCount;
	//需要钻石
	int mNeedCount;
	//奖励抽奖券数量
	int mTicketCount;
};

class M_ActivityKingCraftLotteryShop
{
public:
private:
	static std::auto_ptr<M_ActivityKingCraftLotteryShop> msSingleton;
public:
	int GetCount();
	const M_ActivityKingCraftLotteryShopData* GetData(int ID);
	boost::unordered_map<int, M_ActivityKingCraftLotteryShopData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityKingCraftLotteryShop* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityKingCraftLotteryShopData> mMapData;
};
